Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Struct Nes::Core::Input::Controllers::Pad

struct Nes::Core::Input::Controllers::Pad

Standard NES pad.

Inner Classes, Typedefs, and Enums
`typedef` | `Nes::Core::Input::Controllers::Pad::PollCallback`

Field Summary
`uint` | `allowSimulAxes`
`uint` | `buttons`
`static PollCaller2< Pad >` | `callback`
`uint` | `mic`

Constructor Summary
`Pad()`

Field Detail

### allowSimulAxes

    public uint allowSimulAxes;

### buttons

    public uint buttons;

### callback

    public static PollCaller2< Pad > callback;

### mic

    public uint mic;

Constructor Detail

### Pad

    public Pad();

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD